(***********************************************************************)
(*                                                                     *)
(*                                 GALAX                               *)
(*                            XML Query Engine                         *)
(*                                                                     *)
(*  Copyright 2001-2003, Lucent Technologies.                          *)
(*  Distributed only by permission.                                    *)
(*                                                                     *)
(***********************************************************************)

(* $Id: parse_context.mli,v 1.1 2003/04/29 03:21:48 simeon Exp $ *)

(* This module implements the parsing context *)

type parse_context

val build_parse_context : unit -> parse_context

val add_general_entity_to_parse_context :
    parse_context -> string -> string -> unit

val add_parameter_entity_to_parse_context :
    parse_context -> string -> string -> unit

val get_general_entity :
    parse_context -> string -> string

